export type Input = Uint8Array | string;
export declare function toBytes(data: Input): Uint8Array;
export declare function sha(algorithm: 'SHA-1' | 'SHA-256' | 'SHA-512', input: Input): Promise<Uint8Array>;
export declare function pbkdf2(hashAlgorithm: 'SHA-1' | 'SHA-256' | 'SHA-512', password: Input, salt: Input, iterations: number, byteLength: number): Promise<Uint8Array>;
export declare function randomBytes(byteLength?: number): Uint8Array;
